///////////////////////////////////////////////////////////////////////////////
// StandardKinematicsTransformationServices.h

#pragma once

#include "TcServices.h"

const ULONG DrvID_StandardKinematicsTransformation = 0x3F000000;
#define SRVNAME_STANDARDKINEMATICSTRANSFORMATION "StandardKinematicsTransformation"

///<AutoGeneratedContent id="ClassIDs">
const CTCID CID_StandardKinematicsTransformationCStandardKinematicsTransformation = {0xbd825cde,0x0355,0x9bd3,{0x4f,0xc2,0x1c,0xbb,0xa7,0x10,0xef,0x2c}};
///</AutoGeneratedContent>

///<AutoGeneratedContent id="ParameterIDs">
const PTCID PID_StandardKinematicsTransformationCncObjectRef = 0x00000001;
///</AutoGeneratedContent>

///<AutoGeneratedContent id="DataTypes">
#if !defined(_TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_)
#define _TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_
typedef struct _MC_TcCncRegisterObject
{
	USHORT type;
	USHORT group;
	ULONG index;
} MC_TcCncRegisterObject, *PMC_TcCncRegisterObject;
#endif // !defined(_TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_)

///</AutoGeneratedContent>



///<AutoGeneratedContent id="DataAreaIDs">
///</AutoGeneratedContent>

///<AutoGeneratedContent id="InterfaceIDs">
///</AutoGeneratedContent>

///<AutoGeneratedContent id="EventClasses">
///</AutoGeneratedContent>
